options:
    source:
        default: "ppa:landscape/15.11"
        type: string
        description: |
            The source from which to install the landscape packages. Possible
            values are:
                - A version number: "15.11"
                - A PPA URL: "ppa:landscape/15.11"
                - A full deb line: "deb http://ppa.launchpad.net/landscape/15.11/ubuntu trusty main"
                - A comma-separated list of the previous values, e.g. "15.11, ppa:juju/devel" (NOTE:
                  using multiple repositories is meant for testing only, and not supported for
                  production deployments, that should always just point to a single official
                  Landscape PPA or a mirror of it).
    key:
        default: ""
        type: string
        description: |
            Key ID to import to the apt keyring to support use with arbitary source
            configuration from outside of Launchpad archives or PPA's.
            In case multiple repositories are specified in the 'source' config key,
            this should be a comma-separated list of key IDs, one for each
            repository and in the same order. If a repository needs no key ID,
            the special keyword 'null' should be passed.
            Note that if 'source' (or one of its entries) is set to point ot a
            Launchpad PPA, there's no need to specify a key, since it gets
            automatically and securely fetched from Launchpad itself.
    worker-counts:
        default: 2
        type: int
        description: |
            Number of processes to spawn for message-server and ping-server.
            If set to 0, the charm will automatically pick a value trying to
            maximize the use of the compute/memory resources available
            on the unit.
    license-file:
        description: |
            License file for LDS, either as a base64-encoded string containing
            the actual license file data, or a file://, http:// or https:// URL
            pointing to the license file for download.
        type: string
        default: ""
    openid-provider-url:
        default: ""
        type: string
        description: |
            OpenID provider URL to use for authentication to Landscape.
    openid-logout-url:
        default:
        type: string
        description: |
            OpenID provider URL to use to log out of Landscape.
    root-url:
        description: |
            The root URL for this landscape deployment. If left blank the public
            IP of the first related HAproxy unit will be used instead.
        type: string
        default: ""
    ssl-cert:
        type: string
        description: |
            base64 encoded SSL certificate to use for the Landscape server.
            It will be passed verbatim to the haproxy charm. If not set, a
            self-signed certificated will be used instead.
        default: ""
    ssl-key:
        type: string
        description: |
            base64 encoded private key for the default SSL certificate. If
            ssl_cert is not set, this will be ignored.
        default: ""
    smtp-relay-host:
        type: string
        description: |
            The SMTP server to use to deliver outgoing mail.
        default: ""
